%define section   free
%define maven_version   1.0.2
%define RHEL4 1

Name:           maven
Version:        %{maven_version}
Release:        1jpp_5rh
Epoch:          0
Summary:        Java project management and project comprehension tool.

Group:          Development/Build Tools
License:        Apache Software License
URL:            http://maven.apache.org/

# For sources 0,1 and 2, the .cvsignore file was removed. The .svn folders were 
# removed as well since they are not needed for the build, and (the .svn folders) 
# added considerably to the size. The .svn folders were removed as follows:
# for i in `find . -type d -name .svn`; do rm -rf $i; done

# svn co http://svn.apache.org/repos/asf/maven/maven-1/core/tags/MAVEN_1_0_2 maven; 
Source0:        maven-1.0.2.tar.gz

# svn co http://svn.apache.org/repos/asf/maven/maven-1/jelly-tags/tags/MAVEN_JELLY_TAGS_1_0_1 maven-jelly-tags
Source1:	maven-jelly-tags-1.0.1.tar.gz

# svn co http://svn.apache.org/repos/asf/maven/maven-1/plugins/trunk -r {2005-05-24T18:20} maven-plugins
Source2:	maven-plugins-050524-src.tar.gz

Source3:        maven-1.0.2-build-maven-library
Source4:        maven-1.0.2.script
Source5:        maven-1.0.1-maven-jelly-tags-build.xml
Source6:        maven-1.0.2-MavenUtilsTest.java

# FIXME: We need a package for maven-model
Source7:		maven-model-3.0.0-SNAPSHOT.jar

#FIXME: We need a package for org.apache.maven.wagon.*
Source8:		org.apache.maven.wagon-jars.tar.gz

Patch0:			maven-1.0.2-jpp.patch
Patch1:			maven-1.0.2-plexus.patch
Patch2:			maven-plugins-050524.patch
Patch3:			maven-1.0.2-DependencyVerifier.patch
Patch4:			maven-1.0.1-jelly-tags-DependencyResolverTest.patch
Patch5:			maven-1.0.2-ProjectInheritanceTest.patch
Patch6:			maven-1.0.2-project-properties.patch
Patch7:			maven-plugins-xdoc-plugin.patch
Patch8:			maven-plugins-project.patch
Patch9:			maven-project.patch
Patch10:		maven-plugins-xdoc-test.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#Distribution:   JPackage
#Vendor:         JPackage Project

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.5

# !!! HIBERNATE TOOLS IS MISSING !!! -- hibernate-tools-2.1.3.jar
# !!! MM.MYSQL IS MISSING !!! -- mm.mysql-2.0.13-bin.jar
# !!! MRJ TOOLKIT IS MISSING !!! -- MRJToolkitStubs-1.0.jar
# !!! SAXPATH IS MISSING !!! -- saxpath-1.0-FCS.jar

Summary:        The base maven package.
Group:          Development/Build Tools
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	ant-junit >= 0:1.6.2-3jpp
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	forehead >= 0:1.0.b4-4jpp
BuildRequires:	jakarta-commons-beanutils16 >= 0:1.6.1
BuildRequires:	jakarta-commons-betwixt >= 0:1.0-0.alpha1.4jpp
BuildRequires:	jakarta-commons-collections >= 0:3.1-1jpp
BuildRequires:	jakarta-commons-grant >= 0:1.0.b4
BuildRequires:	jakarta-commons-graph >= 0:0.8.1
BuildRequires:	jakarta-commons-httpclient >= 2.0
BuildRequires:	jakarta-commons-io >= 1.0
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-ant >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-define >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	log4j >= 0:1.2.8
BuildRequires:	werkz >= 1.0-0.b10.5jpp
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
BuildRequires:	xml-commons-which
Requires:		ant >= 0:1.6.2-3jpp
Requires:		dom4j >= 0:1.5-1jpp
Requires:		forehead >= 0:1.0.b4-4jpp
Requires:		jakarta-commons-beanutils16 >= 0:1.6.1
Requires:		jakarta-commons-betwixt >= 0:1.0-0.alpha1.4jpp
Requires:		jakarta-commons-collections >= 0:3.1-1jpp
Requires:		jakarta-commons-grant >= 0:1.0.b4
Requires:		jakarta-commons-graph >= 0:0.8.1
Requires:		jakarta-commons-httpclient >= 2.0
Requires:		jakarta-commons-io >= 1.0
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-ant >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-define >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		junit >= 0:3.8.1
Requires:		log4j >= 0:1.2.8
Requires:		werkz >= 1.0-0.b10.5jpp
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Requires:		xml-commons-which
Provides:		maven = %{epoch}:%{version}-%{release}

# Begin sub package listings...

%package plugins-base
Summary:		Optional  plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	isorelax >= 0:0.1-0.20030108.3jpp
BuildRequires:	jakarta-commons-collections >= 0:3.1-1jpp
BuildRequires:	jakarta-commons-httpclient >= 2.0
BuildRequires:	jakarta-commons-io >= 1.0
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jakarta-commons-net >= 0:1.2.1
BuildRequires:	javacc >= 0:3.2
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	jing
BuildRequires:	jdom >= 0:1.0
BuildRequires:	jsch >= 0:0.1.14
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	velocity >= 0:1.4
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		isorelax >= 0:0.1-0.20030108.3jpp
Requires:		jakarta-commons-collections >= 0:3.1-1jpp
Requires:		jakarta-commons-httpclient >= 2.0
Requires:		jakarta-commons-io >= 1.0
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jakarta-commons-net >= 0:1.2.1
Requires:		javacc >= 0:3.2
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		jdom >= 0:1.0
Requires:		jing
Requires:		jsch >= 0:0.1.14
Requires:		junit >= 0:3.8.1
Requires:		velocity >= 0:1.4
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugins-base = %{epoch}:%{version}-%{release}

%description plugins-base
Optional base plugin set for %{name}

%if %{RHEL4}==0
%package plugin-abbot
Summary:		Optional abbot plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	abbot >= 0:0.13.0-1jpp
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	ant-junit >= 0:1.6.2-3jpp
BuildRequires:	gnu.regexp >= 0:1.1.4
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jdom >= 0:1.0
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		abbot >= 0:0.13.0-1jpp
Requires:		ant >= 0:1.6.2-3jpp
Requires:		gnu.regexp >= 0:1.1.4
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jdom >= 0:1.0
Requires:		junit >= 0:3.8.1
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-abbot = %{epoch}:%{version}-%{release}

%description plugin-abbot
Optional abbot plugin for %{name}
%endif

%package plugin-announcement
Summary:		Optional announcement plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-net >= 0:1.2.1
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-net >= 0:1.2.1
Provides:		maven-plugin-announcement = %{epoch}:%{version}-%{release}

%description plugin-announcement
Optional announcement plugin for %{name}

%package plugin-antlr
Summary:		Optional appserver plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	antlr >= 0:2.7.4-2jpp
BuildRequires:	jakarta-commons-jelly-tags-antlr >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
Requires:		antlr >= 0:2.7.4-2jpp
Requires:		jakarta-commons-jelly-tags-antlr >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-lang >= 0:2.0
Provides:		maven-plugin-antlr = %{epoch}:%{version}-%{release}

%description plugin-antlr
Optional appserver plugin for %{name}


%package plugin-appserver
Summary:		Optional appserver plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		ant >= 0:1.6.2-3jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-appserver = %{epoch}:%{version}-%{release}

%description plugin-appserver
Optional appserver plugin for %{name}

%if %{RHEL4}==0
%package plugin-aspectj
Summary:		Optional aspectj plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	aspectj >= 0:1.1.1-3jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	junit >= 0:3.8.1
Requires:		aspectj >= 0:1.1.1-3jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		junit >= 0:3.8.1
Provides:		maven-plugin-aspectj = %{epoch}:%{version}-%{release}

%description plugin-aspectj
Optional aspectj plugin for %{name}
%endif

%if %{RHEL4}==0
%package plugin-aspectwerkz
Summary:			Optional aspectwerkz plugin for %{name}
Group:				Development/Build Tools
Requires:			%{name} = %{epoch}:%{version}-%{release}
BuildRequires:		ant >= 0:1.6.2-3jpp
BuildRequires:		aspectwerkz >= 0:0.9-3jpp
BuildRequires:		bcel >= 0:5.1
BuildRequires:		dom4j >= 0:1.5-1jpp
BuildRequires:		gnu.trove >= 0:1.0.2
BuildRequires:		jakarta-commons-jexl >= 0:1.0
BuildRequires:		jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:		jrexx >= 0:1.1.1
BuildRequires:		qdox >= 0:1.3
BuildRequires:		xerces-j2 >= 0:2.6.2
BuildRequires:		xml-commons-apis
Requires:			ant >= 0:1.6.2-3jpp
Requires:			aspectwerkz >= 0:0.9-3jpp
Requires:			bcel >= 0:5.1
Requires:			dom4j >= 0:1.5-1jpp
Requires:			gnu.trove >= 0:1.0.2
Requires:			jakarta-commons-jexl >= 0:1.0
Requires:			jaxen >= 0:1.1-0.b2.1jpp
Requires:			jrexx >= 0:1.1.1
Requires:			qdox >= 0:1.3
Requires:			xerces-j2 >= 0:2.6.2
Requires:	 		xml-commons-apis
Provides:			maven-plugin-aspectwerkz = %{epoch}:%{version}-%{release}

%description plugin-aspectwerkz
Optional aspectj plugin for %{name}
%endif

%package plugin-caller
Summary:		Optional caller plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-caller = %{epoch}:%{version}-%{release}

%description plugin-caller
Optional caller plugin for %{name}

%package plugin-castor
Summary:		Optional castor plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	castor >= 0:0.9.5
Requires:		castor >= 0:0.9.5
Provides:		maven-plugin-castor = %{epoch}:%{version}-%{release}

%description plugin-castor
Optional castor plugin for %{name}

%if %{RHEL4}==0
%package plugin-changelog
Summary:		Optional changelog plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	netbeans-vcs >= 3.6
BuildRequires:	regexp >= 0:1.3
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		ant >= 0:1.6.2-3jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		junit >= 0:3.8.1
Requires:		netbeans-vcs >= 3.6
Requires:		regexp >= 0:1.3
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-changelog = %{epoch}:%{version}-%{release}

%description plugin-changelog
Optional changelog plugin for %{name}
%endif

%package plugin-changes
Summary:		Optional changes plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-io >= 1.0
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-io >= 1.0
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		junit >= 0:3.8.1
Requires:		xml-commons-apis
Provides:		maven-plugin-changes = %{epoch}:%{version}-%{release}

%description plugin-changes
Optional changes plugin for %{name}

%if %{RHEL4}==0
%package plugin-checkstyle
Summary:		Optional checkstyle plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	checkstyle >= 0:3.5-1jpp
BuildRequires:	jakarta-commons-beanutils16 >= 0:1.6.1
BuildRequires:	regexp >= 0:1.3
Requires:		ant >= 0:1.6.2-3jpp
Requires:		checkstyle >= 0:3.5-1jpp
Requires:		jakarta-commons-beanutils16 >= 0:1.6.1
Requires:		regexp >= 0:1.3
Provides:		maven-plugin-checkstyle = %{epoch}:%{version}-%{release}

%description plugin-checkstyle
Optional checkstyle plugin for %{name}
%endif

%package plugin-cruisecontrol
Summary:		Optional cruisecontrol plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-cruisecontrol = %{epoch}:%{version}-%{release}

%description plugin-cruisecontrol
Optional cruisecontrol plugin for %{name}

%package plugin-developer-activity
Summary:		Optional developer-activity plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-developer-activity = %{epoch}:%{version}-%{release}

%description plugin-developer-activity
Optional developer-activity plugin for %{name}

%package plugin-dashboard
Summary:			Optional dashboard plugin for %{name}
Group:				Development/Build Tools
Requires:			%{name} = %{epoch}:%{version}-%{release}
Provides:			maven-plugin-dashboard = %{epoch}:%{version}-%{release}

%description plugin-dashboard
Optional aspectj plugin for %{name}

%package plugin-dist
Summary:		Optional dist plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	junit >= 0:3.8.1
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		junit >= 0:3.8.1
Provides:		maven-plugin-dist = %{epoch}:%{version}-%{release}

%description plugin-dist
Optional dist plugin for %{name}

%package plugin-docbook
Summary:		Optional docbook plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	xalan-j2 >= 0:2.4.1
Requires:		xalan-j2 >= 0:2.4.1
Provides:		maven-plugin-docbook = %{epoch}:%{version}-%{release}

%description plugin-docbook
Optional docbook plugin for %{name}

%package plugin-ear
Summary:		Optional ear plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-ear = %{epoch}:%{version}-%{release}

%description plugin-ear
Optional ear plugin for %{name}

%package plugin-eclipse
Summary:		Optional eclipse plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-eclipse = %{epoch}:%{version}-%{release}

%description plugin-eclipse
Optional eclipse plugin for %{name}

%package plugin-ejb
Summary:		Optional ejb plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-ejb = %{epoch}:%{version}-%{release}

%description plugin-ejb
Optional ejb plugin for %{name}

%package plugin-faq
Summary:		Optional faq plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-faq = %{epoch}:%{version}-%{release}

%description plugin-faq
Optional faq plugin for %{name}

%package plugin-file-activity
Summary:		Optional file-activity plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-file-activity = %{epoch}:%{version}-%{release}

%description plugin-file-activity
Optional file-activity plugin for %{name}

%package plugin-genapp
Summary:		Optional genapp plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-genapp = %{epoch}:%{version}-%{release}

%description plugin-genapp
Optional genapp plugin for %{name}

%package plugin-gump
Summary:		Optional gump plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-gump = %{epoch}:%{version}-%{release}

%description plugin-gump
Optional gump plugin for %{name}

%package plugin-html2xdoc
Summary:		Optional html2xdoc plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-jelly-tags-html >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	nekohtml >= 0:0.7.7
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-jelly-tags-html >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		junit >= 0:3.8.1
Requires:		nekohtml >= 0:0.7.7
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-html2xdoc = %{epoch}:%{version}-%{release}

%description plugin-html2xdoc
Optional html2xdoc plugin for %{name}

%package plugin-idea
Summary:		Optional idea plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-idea = %{epoch}:%{version}-%{release}

%description plugin-idea
Optional idea plugin for %{name}

%package plugin-j2ee
Summary:		Optional j2ee plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		junit >= 0:3.8.1
Requires:		xml-commons-apis
Provides:		maven-plugin-j2ee = %{epoch}:%{version}-%{release}

%description plugin-j2ee
Optional j2ee plugin for %{name}

%if %{RHEL4}==0
%package plugin-jalopy
Summary:		Optional jalopy plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	aelfred >= 0:1.2-0.a.7jpp
BuildRequires:	ant-jalopy >= 0:0.6.2
BuildRequires:	jalopy >= 0:1.0-0.b10.7jpp
BuildRequires:	jdom >= 0:1.0
BuildRequires:	jext
BuildRequires:	log4j >= 0:1.2.8
BuildRequires:	oro >= 0:2.0.7
BuildRequires:	xml-commons-apis
Requires:		aelfred >= 0:1.2-0.a.7jpp
Requires:		ant-jalopy >= 0:0.6.2
Requires:		jalopy >= 0:1.0-0.b10.7jpp
Requires:		jdom >= 0:1.0
Requires:		jext
Requires:		log4j >= 0:1.2.8
Requires:		oro >= 0:2.0.7
Requires:		xml-commons-apis
Provides:		maven-plugin-jalopy = %{epoch}:%{version}-%{release}

%description plugin-jalopy
Optional jalopy plugin for %{name}
%endif

%package plugin-jboss
Summary:		Optional jboss plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-jboss = %{epoch}:%{version}-%{release}

%description plugin-jboss
Optional jboss plugin for %{name}

%package plugin-jbuilder
Summary:		Optional jbuilder plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-jbuilder = %{epoch}:%{version}-%{release}

%description plugin-jbuilder
Optional jbuilder plugin for %{name}

%if %{RHEL4}==0
%package plugin-jcoverage
Summary:		Optional jcoverage plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	bcel >= 0:5.1
BuildRequires:	gnu.getopt >= 0:1.0.10-1jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	jcoverage >= 0:1.0.5
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	log4j >= 0:1.2.8
BuildRequires:	oro >= 0:2.0.7
BuildRequires:	velocity >= 0:1.4
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
BuildRequires:	xpp3
Requires:		bcel >= 0:5.1
Requires:		gnu.getopt >= 0:1.0.10-1jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		jcoverage >= 0:1.0.5
Requires:		junit >= 0:3.8.1
Requires:		log4j >= 0:1.2.8
Requires:		oro >= 0:2.0.7
Requires:		velocity >= 0:1.4
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Requires:		xpp3
Provides:		maven-plugin-jcoverage = %{epoch}:%{version}-%{release}

%description plugin-jcoverage
Optional jcoverage plugin for %{name}
%endif

%package plugin-jdee
Summary:		Optional jdee plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-jdee = %{epoch}:%{version}-%{release}

%description plugin-jdee
Optional jdee plugin for %{name}

%package plugin-jdepend
Summary:		Optional jdepend plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jdepend >= 0:2.6-2jpp
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jdepend >= 0:2.6-2jpp
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-jdepend = %{epoch}:%{version}-%{release}

%description plugin-jdepend
Optional jdepend plugin for %{name}

%if %{RHEL4}==0
%package plugin-jdeveloper
Summary:		Optional jdeveloper plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jdepend22 >= 2.2-2jpp
Requires:		jdepend22 >= 2.2-2jpp
Provides:		maven-plugin-jdeveloper = %{epoch}:%{version}-%{release}

%description plugin-jdeveloper
Optional jdeveloper plugin for %{name}
%endif

%if %{RHEL4}==0
%package plugin-jdiff
Summary:		Optional jdiff plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jdiff >= 0:1.0.9
Requires:		jdiff >= 0:1.0.9
Provides:		maven-plugin-jdiff = %{epoch}:%{version}-%{release}

%description plugin-jdiff
Optional jdiff plugin for %{name}
%endif

%package plugin-jellydoc
Summary:		Optional jellydoc plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	nekohtml >= 0:0.7.7
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		nekohtml >= 0:0.7.7
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-jellydoc = %{epoch}:%{version}-%{release}

%description plugin-jellydoc
Optional jellydoc plugin for %{name}

%if %{RHEL4}==0
%package plugin-jetty
Summary:		Optional jetty plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jetty4 >= 0:4.2.20
BuildRequires:	tomcat4-jasper >= 0:4.1.31-4jpp
BuildRequires:	tomcat4-servlet-2.3-api >= 4.1.31-4jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jetty4 >= 0:4.2.20
Requires:		tomcat4-jasper >= 0:4.1.31-4jpp
Requires:		tomcat4-servlet-2.3-api >= 4.1.31-4jpp
Provides:		maven-plugin-jetty = %{epoch}:%{version}-%{release}

%description plugin-jetty
Optional jetty plugin for %{name}
%endif

%package plugin-jira
Summary:		Optional jira plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-httpclient >= 2.0
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	log4j >= 0:1.2.8
Requires:		jakarta-commons-httpclient >= 2.0
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		log4j >= 0:1.2.8
Provides:		maven-plugin-jira = %{epoch}:%{version}-%{release}

%description plugin-jira
Optional jira plugin for %{name}

%package plugin-jnlp
Summary:		Optional jnlp plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-jnlp = %{epoch}:%{version}-%{release}

%description plugin-jnlp
Optional jnlp plugin for %{name}

%package plugin-junitdoclet
Summary:		Optional junitdoclet plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	junitdoclet-jdk14 >= 0:1.0.1
Requires:		junitdoclet-jdk14 >= 0:1.0.1
Provides:		maven-plugin-junitdoclet = %{epoch}:%{version}-%{release}

%description plugin-junitdoclet
Optional junitdoclet plugin for %{name}

%package plugin-jxr
Summary:		Optional jxr plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	oro >= 0:2.0.7
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		ant >= 0:1.6.2-3jpp
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		oro >= 0:2.0.7
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-jxr = %{epoch}:%{version}-%{release}

%description plugin-jxr
Optional jxr plugin for %{name}

%if %{RHEL4}==0
%package plugin-latex
Summary:		Optional latex plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	anttex >= 0.2-3jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
Requires:		anttex >= 0.2-3jpp
Requires:		jakarta-commons-lang >= 0:2.0
Provides:		maven-plugin-latex = %{epoch}:%{version}-%{release}

%description plugin-latex
Optional latex plugin for %{name}
%endif

%if %{RHEL4}==0
%package plugin-latka
Summary:		Optional latka plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-httpclient >= 2.0
BuildRequires:	jakarta-commons-jelly-tags-html >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-latka >= 0:1.0
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	jdom >= 0:1.0
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	nekohtml >= 0:0.7.7
BuildRequires:	regexp >= 0:1.3
BuildRequires:	xalan-j2 >= 0:2.4.1
Requires:		jakarta-commons-httpclient >= 2.0
Requires:		jakarta-commons-jelly-tags-html >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-latka >= 0:1.0
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		jdom >= 0:1.0
Requires:		junit >= 0:3.8.1
Requires:		nekohtml >= 0:0.7.7
Requires:		regexp >= 0:1.3
Requires:		xalan-j2 >= 0:2.4.1
Provides:		maven-plugin-latka = %{epoch}:%{version}-%{release}

%description plugin-latka
Optional latka plugin for %{name}
%endif

%package plugin-license
Summary:		Optional license plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-license = %{epoch}:%{version}-%{release}

%description plugin-license
Optional license plugin for %{name}

%package plugin-linkcheck
Summary:		Optional linkcheck plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-beanutils16 >= 0:1.6.1	
BuildRequires:	jakarta-commons-collections >= 0:3.1-1jpp
BuildRequires:	jakarta-commons-grant >= 0:1.0.b4
BuildRequires:	jakarta-commons-httpclient >= 2.0
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-ant >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	jtidy >= 0:1.0-0.20000804r7dev.5jpp
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	log4j >= 0:1.2.8
BuildRequires:	rhino >= 0:1.5-0.r4
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-beanutils16 >= 0:1.6.1
Requires:		jakarta-commons-collections >= 0:3.1-1jpp
Requires:		jakarta-commons-grant >= 0:1.0.b4
Requires:		jakarta-commons-httpclient >= 2.0
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-ant >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		jtidy >= 0:1.0-0.20000804r7dev.5jpp
Requires:		junit >= 0:3.8.1
Requires:		log4j >= 0:1.2.8
Requires:		rhino >= 0:1.5-0.r4
Provides:		maven-plugin-linkcheck = %{epoch}:%{version}-%{release}

%description plugin-linkcheck
Optional linkcheck plugin for %{name}

%package plugin-multichanges
Summary:		Optional multichanges plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-multichanges = %{epoch}:%{version}-%{release}

%description plugin-multichanges
Optional multichanges plugin for %{name}

%package plugin-multiproject
Summary:		Optional multiproject plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
BuildRequires:	velocity >= 0:1.4
Requires:		jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
Requires:		velocity >= 0:1.4
Provides:		maven-plugin-multiproject = %{epoch}:%{version}-%{release}

%description plugin-multiproject
Optional multiproject plugin for %{name}

%if %{RHEL4}==0
%package plugin-native
Summary:		Optional native plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	bcel >= 0:5.1
BuildRequires:	cpptasks >= 0:1.0-0.b3.2jpp
Requires:		bcel >= 0:5.1
Requires:		cpptasks >= 0:1.0-0.b3.2jpp
Provides:		maven-plugin-native = %{epoch}:%{version}-%{release}

%description plugin-native
Optional native plugin for %{name}
%endif

%package plugin-nsis
Summary:		Optional nsis plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-nsis = %{epoch}:%{version}-%{release}

%description plugin-nsis
Optional nsis plugin for %{name}

%if %{RHEL4}==0
%package plugin-pdf
Summary:		Optional pdf plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	avalon-framework >= 0:4.1.5-1jpp
BuildRequires:	avalon-logkit >= 0:1.2-2
BuildRequires:	batik >= 0:1.5.1-1jpp
BuildRequires:	batik-rasterizer >= 0:1.5.1-1jpp
BuildRequires:	fop >= 0:0.20.5
BuildRequires:	xalan-j2 >= 0:2.4.1
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		avalon-framework >= 0:4.1.5-1jpp
Requires:		avalon-logkit >= 0:1.2-2
Requires:		batik >= 0:1.5.1-1jpp
Requires:		batik-rasterizer >= 0:1.5.1-1jpp
Requires:		fop >= 0:0.20.5
Requires:		xalan-j2 >= 0:2.4.1
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-pdf = %{epoch}:%{version}-%{release}

%description plugin-pdf
Optional pdf plugin for %{name}
%endif

%if %{RHEL4}==0
%package plugin-pmd
Summary:		Optional pmd plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	pmd >= 0:1.9
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		pmd >= 0:1.9
Provides:		maven-plugin-pmd = %{epoch}:%{version}-%{release}

%description plugin-pmd
Optional pmd plugin for %{name}
%endif

%package plugin-rar
Summary:		Optional rar plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
Requires:		jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-logging >= 0:1.0.3
Provides:		maven-plugin-rar = %{epoch}:%{version}-%{release}

%description plugin-rar
Optional rar plugin for %{name}

%package plugin-repository
Summary:		Optional repository plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-repository = %{epoch}:%{version}-%{release}

%description plugin-repository
Optional repository plugin for %{name}

%package plugin-scm
Summary:		Optional scm plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-scm = %{epoch}:%{version}-%{release}

%description plugin-scm
Optional scm plugin for %{name}

%package plugin-shell
Summary:		Optional shell plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-shell = %{epoch}:%{version}-%{release}

%description plugin-shell
Optional shell plugin for %{name}

%package plugin-site
Summary:		Optional site plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-net >= 0:1.2.1
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-net >= 0:1.2.1
Provides:		maven-plugin-site = %{epoch}:%{version}-%{release}

%description plugin-site
Optional site plugin for %{name}

%package plugin-struts
Summary:		Optional struts plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Requires:		%{name}-plugin-j2ee
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	jakarta-commons-collections >= 0:3.1-1jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-lang >= 0:2.0
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	regexp >= 0:1.3
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		jakarta-commons-collections >= 0:3.1-1jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-lang >= 0:2.0
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		junit >= 0:3.8.1
Requires:		regexp >= 0:1.3
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-struts = %{epoch}:%{version}-%{release}

%description plugin-struts
Optional struts plugin for %{name}

%package plugin-tasklist
Summary:		Optional tasklist plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-tasklist = %{epoch}:%{version}-%{release}

%description plugin-tasklist
Optional tasklist plugin for %{name}

%package plugin-test
Summary:		Optional test plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	xerces-j2 >= 0:2.6.2
BuildRequires:	xml-commons-apis
Requires:		junit >= 0:3.8.1
Requires:		xerces-j2 >= 0:2.6.2
Requires:		xml-commons-apis
Provides:		maven-plugin-test = %{epoch}:%{version}-%{release}

%description plugin-test
Optional test plugin for %{name}

%if %{RHEL4}==0
%package plugin-tjdo
Summary:		Optional tjdo plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	tjdo >= 0:2.0
Requires:		tjdo >= 0:2.0
Provides:		maven-plugin-tjdo = %{epoch}:%{version}-%{release}

%description plugin-tjdo
Optional tjdo plugin for %{name}
%endif

%if %{RHEL4}==0
%package plugin-uberjar
Summary:		Optional uberjar plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	tjdo >= 0:2.0
Requires:		tjdo >= 0:2.0
BuildRequires:	classworlds >= 1.0-3jpp
BuildRequires:	jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
BuildRequires:	velocity >= 0:1.4
Requires:		classworlds >= 1.0-3jpp
Requires:		jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
Requires:		velocity >= 0:1.4
Provides:		maven-plugin-uberjar = %{epoch}:%{version}-%{release}

%description plugin-uberjar
Optional uberjar plugin for %{name}
%endif

%if %{RHEL4}==0
%package plugin-vdoclet
Summary:		Optional vdoclet plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	avalon-logkit >= 0:1.2-2
BuildRequires:	jakarta-commons-collections >= 0:3.1-1jpp
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
BuildRequires:	oro >= 0:2.0.7
BuildRequires:	qdox >= 0:1.3
BuildRequires:	vdoclet
BuildRequires:	velocity >= 0:1.4
Requires:		avalon-logkit >= 0:1.2-2
Requires:		jakarta-commons-collections >= 0:3.1-1jpp
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
Requires:		oro >= 0:2.0.7
Requires:		qdox >= 0:1.3
Requires:		vdoclet
Requires:		velocity >= 0:1.4
Provides:		maven-plugin-vdoclet = %{epoch}:%{version}-%{release}

%description plugin-vdoclet
Optional vdoclet plugin for %{name}
%endif

%package plugin-war
Summary:		Optional war plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
Provides:		maven-plugin-war = %{epoch}:%{version}-%{release}

%description plugin-war
Optional war plugin for %{name}

%package plugin-webserver
Summary:		Optional webserver plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	ant >= 0:1.6.2-3jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		ant >= 0:1.6.2-3jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-webserver = %{epoch}:%{version}-%{release}

%description plugin-webserver
Optional webserver plugin for %{name}

%package plugin-wizard
Summary:		Optional wizard plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-swing >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-swing >= 0:1.0-0.b4.6jpp
Provides:		maven-plugin-wizard = %{epoch}:%{version}-%{release}

%description plugin-wizard
Optional wizard plugin for %{name}

%package plugin-xdoc
Summary:		Optional xdoc plugin for %{name}
Group:			Development/Build Tools
Requires:		%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	dom4j >= 0:1.5-1jpp
BuildRequires:	forehead >= 0:1.0.b4-4jpp
BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-fmt
BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
BuildRequires:	jakarta-commons-logging >= 0:1.0.3
BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
BuildRequires:	junit >= 0:3.8.1
BuildRequires:	velocity >= 0:1.4
BuildRequires:	velocity-dvsl >= 0:0.45
BuildRequires:	xml-commons-apis
Requires:		dom4j >= 0:1.5-1jpp
Requires:		forehead >= 0:1.0.b4-4jpp
Requires:		jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-fmt
Requires:		jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
Requires:		jakarta-commons-logging >= 0:1.0.3
Requires:		jaxen >= 0:1.1-0.b2.1jpp
Requires:		junit >= 0:3.8.1
Requires:		velocity >= 0:1.4
Requires:		velocity-dvsl >= 0:0.45
Requires:		xml-commons-apis
Provides:		maven-plugin-xdoc = %{epoch}:%{version}-%{release}

%description plugin-xdoc
Optional xdoc plugin for %{name}

# Disabled requirements

#BuildRequires:	clover >= 0:1.3.6
#BuildRequires:	java2html >= 0:1.2
#BuildRequires:	simian >= 0:1.9.1

# Enabled requirements 

# (Even though commented out, this is the "global" pool of dependencies, it comes handy 
# when writing scripts to check dependencies)

# BuildRequires:	abbot >= 0:0.13.0-1jpp
# BuildRequires:	aelfred >= 0:1.2-0.a.7jpp
# BuildRequires:	ant >= 0:1.6.2-3jpp
# BuildRequires:	ant-antlr >= 0:1.6.2-3jpp
# BuildRequires:	ant-jalopy >= 0:0.6.2
# BuildRequires:	ant-junit >= 0:1.6.2-3jpp
# # 2.7.5
# BuildRequires:	antlr >= 0:2.7.4-2jpp
# BuildRequires:	anttex >= 0.2-3jpp
# BuildRequires:	ashkelon >= 0:0.8.2-3jpp
# # 1.2.1:
# BuildRequires:	aspectj >= 0:1.1.1-3jpp
# BuildRequires:	aspectwerkz >= 0:0.9-3jpp
# BuildRequires:	avalon-framework >= 0:4.1.5-1jpp
#  # 1.0.1 + 1.2.2
# BuildRequires:	avalon-logkit >= 0:1.2-2
# BuildRequires:	batik >= 0:1.5.1-1jpp
# BuildRequires:	batik-rasterizer >= 0:1.5.1-1jpp
# BuildRequires:	bcel >= 0:5.1
# BuildRequires:	castor >= 0:0.9.5
# BuildRequires:	cglib >= 0:2.0.2
#  # 4.0beta1
# BuildRequires:	checkstyle >= 0:3.5-1jpp
#  # 1.0rc2
# BuildRequires:	classworlds >= 1.0-3jpp
# BuildRequires:	cpptasks >= 0:1.0-0.b3.2jpp
#  # 1.4dev + 1.5.2
# BuildRequires:	dom4j >= 0:1.5-1jpp
# BuildRequires:	fop >= 0:0.20.5
#  # 1.5 beta 5
# BuildRequires:	forehead >= 0:1.0.b4-4jpp
# BuildRequires:	gnu.getopt >= 0:1.0.10-1jpp
# BuildRequires:	gnu.regexp >= 0:1.1.4
# BuildRequires:	gnu.trove >= 0:1.0.2
# BuildRequires:	hibernate >= 0:2.1.3
# BuildRequires:	isorelax >= 0:0.1-0.20030108.3jpp
#  # 1.0b11
# BuildRequires:	jalopy >= 0:1.0-0.b10.7jpp
# BuildRequires:	jakarta-commons-beanutils16 >= 0:1.6.1
#  # 1.0 beta
# BuildRequires:	jakarta-commons-betwixt >= 0:1.0-0.alpha1.4jpp
#  # 1.0 beta 2
# BuildRequires:	jakarta-commons-cli >= 0:1.0-6jpp
# BuildRequires:	jakarta-commons-collections >= 0:3.1-1jpp
#  # 1.0 dev + 1.1
# BuildRequires:	jakarta-commons-dbcp >= 0:1.1
# BuildRequires:	jakarta-commons-digester >= 0:1.4.1
# BuildRequires:	jakarta-commons-grant >= 0:1.0.b4
# BuildRequires:	jakarta-commons-graph >= 0:0.8.1
# BuildRequires:	jakarta-commons-httpclient >= 2.0
#  # 20030203.000550
# BuildRequires:	jakarta-commons-io >= 1.0
# BuildRequires:	jakarta-commons-jelly >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-ant >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-antlr >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-define >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-fmt
# BuildRequires:	jakarta-commons-jelly-tags-html >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-interaction >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-jsl >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-log >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-swing >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-util >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-velocity >= 0:1.0-0.b4.6jpp
# BuildRequires:	jakarta-commons-jelly-tags-xml >= 0:1.0-0.b4.6jpp
#  # Beta1+Beta2
# BuildRequires:	jakarta-commons-jexl >= 0:1.0
# BuildRequires:	jakarta-commons-lang >= 0:2.0
# BuildRequires:	jakarta-commons-latka >= 0:1.0
# BuildRequires:	jakarta-commons-logging >= 0:1.0.3
#  # 1.1.0 + 1.2.1
# BuildRequires:	jakarta-commons-net >= 0:1.2.1
# BuildRequires:	jakarta-commons-pool >= 0:1.1
# BuildRequires:	javacc >= 0:3.2
#  # 1.0-FCS-full and 1.1-beta-4
# BuildRequires:	jaxen >= 0:1.1-0.b2.1jpp
# BuildRequires:	jcoverage >= 0:1.0.5
#  # 2.3 + 2.7
# BuildRequires:	jdepend >= 0:2.6-2jpp
# BuildRequires:	jdiff >= 0:1.0.9
#  # 1.0b8 + 1.0 + b10
# BuildRequires:	jdom >= 0:1.0
#  # 2.3 + 2.7
# BuildRequires:	jdepend >= 0:2.6-2jpp
# BuildRequires:	jdepend22 >= 2.2-2jpp
# BuildRequires:	jetty4 >= 0:4.2.20
# BuildRequires:	jext
# BuildRequires:	jing >= 0:20030619-4jpp
# BuildRequires:	jrexx >= 0:1.1.1
# BuildRequires:	jsch >= 0:0.1.14
# BuildRequires:	jtidy >= 0:1.0-0.20000804r7dev.5jpp
# BuildRequires:	junit >= 0:3.8.1
#  # Do we need the 1.3 or 1.4?
# BuildRequires:	junitdoclet-jdk14 >= 0:1.0.1
# BuildRequires:	log4j >= 0:1.2.8
# BuildRequires:	nekohtml >= 0:0.7.7
# BuildRequires:	netbeans-vcs >= 3.6
# BuildRequires:	odmg >= 0:3.0
# BuildRequires:	oro >= 0:2.0.7
# BuildRequires:	pmd >= 0:1.9
# BuildRequires:	qdox >= 0:1.3
# BuildRequires:	regexp >= 0:1.3
# BuildRequires:	rhino >= 0:1.5-0.r4
# BuildRequires:	tjdo >= 0:2.0
# BuildRequires:	tomcat4-jasper >= 0:4.1.31-4jpp
# BuildRequires:	tomcat4-servlet-2.3-api >= 4.1.31-4jpp
#  # vdoclet-20020711.jar
# BuildRequires:	vdoclet
#  # 1.3 + 1.4 + 1.4-dev
# BuildRequires:	velocity >= 0:1.4
# BuildRequires:	velocity-dvsl >= 0:0.45
#  # 20040426.222000
# BuildRequires:	werkz
# BuildRequires:	xml-commons-which
# BuildRequires:	xalan-j2 >= 0:2.4.1
# BuildRequires:	xerces-j2 >= 0:2.6.2
# BuildRequires:	xml-commons-apis
# BuildRequires:	xpp3

%description
Maven is a Java project management and project 
comprehension tool. Maven is based on the concept 
of a project object model (POM) in that all the 
artifacts produced by Maven are a result of 
consulting a well defined model for your project. 
Builds, documentation, source metrics, and source 
cross-references are all controlled by your POM. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -q -n %{name}

# include maven-jelly-tags sources, their build requires maven-1.0 >= rc3
gzip -dc %{SOURCE1} | tar -xf -
cp -pr maven-jelly-tags/src/* src
cp -pr src/java/main/* src/java
rm -rf src/java/main

# here are the maven-plugins
(cd ..
rm -rf maven-plugins
gzip -dc %{SOURCE2} | tar -xf -
)
cp %{SOURCE3} build-maven-library
chmod 755 build-maven-library
#
cp %{SOURCE6} src/test/java/org/apache/maven/MavenUtilsTest.java
rm -rf ../maven-plugins/plugin/src/test/*

#cp ../maven-plugins/abbot/plugin.jelly ../maven-plugins/abbot/plugin.jelly.jpp
#cp ../maven-plugins/aspectj/plugin.jelly ../maven-plugins/aspectj/plugin.jelly.jpp
#cp ../maven-plugins/aspectwerkz/plugin.jelly ../maven-plugins/aspectwerkz/plugin.jelly.jpp
#cp ../maven-plugins/checkstyle/plugin.jelly ../maven-plugins/checkstyle/plugin.jelly.jpp
#cp ../maven-plugins/clover/plugin.jelly ../maven-plugins/clover/plugin.jelly.jpp
#cp ../maven-plugins/j2ee/plugin.jelly ../maven-plugins/j2ee/plugin.jelly.jpp
#cp ../maven-plugins/jalopy/plugin.jelly ../maven-plugins/jalopy/plugin.jelly.jpp
#cp ../maven-plugins/jcoverage/plugin.jelly ../maven-plugins/jcoverage/plugin.jelly.jpp
#cp ../maven-plugins/jdepend/plugin.jelly ../maven-plugins/jdepend/plugin.jelly.jpp
#cp ../maven-plugins/jdiff/plugin.jelly ../maven-plugins/jdiff/plugin.jelly.jpp
#cp ../maven-plugins/jellydoc/plugin.jelly ../maven-plugins/jellydoc/plugin.jelly.jpp
#cp ../maven-plugins/jetty/plugin.jelly ../maven-plugins/jetty/plugin.jelly.jpp
#cp ../maven-plugins/junitdoclet/plugin.jelly ../maven-plugins/junitdoclet/plugin.jelly.jpp
#cp ../maven-plugins/latex/plugin.jelly ../maven-plugins/latex/plugin.jelly.jpp
#cp ../maven-plugins/native/plugin.jelly ../maven-plugins/native/plugin.jelly.jpp
#cp ../maven-plugins/pdf/plugin.jelly ../maven-plugins/pdf/plugin.jelly.jpp
#cp ../maven-plugins/pmd/plugin.jelly ../maven-plugins/pmd/plugin.jelly.jpp
#cp ../maven-plugins/pom/plugin.jelly ../maven-plugins/pom/plugin.jelly.jpp
#cp ../maven-plugins/simian/plugin.jelly ../maven-plugins/simian/plugin.jelly.jpp
#cp ../maven-plugins/struts/plugin.jelly ../maven-plugins/struts/plugin.jelly.jpp
#cp ../maven-plugins/test/plugin.jelly ../maven-plugins/test/plugin.jelly.jpp
#cp ../maven-plugins/tjdo/plugin.jelly ../maven-plugins/tjdo/plugin.jelly.jpp
#cp ../maven-plugins/uberjar/plugin.jelly ../maven-plugins/uberjar/plugin.jelly.jpp

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav
%patch9 -b .sav
%patch10 -b .sav
#%patch11 -b .sav
#%patch12 -b .sav

# Before patching, set up the exclusion list

%if %{RHEL4}==0
(cd ../maven
echo "maven.plugins.excludes = examples/**,touchstone/**,touchstone-partner/**,plugin-parent/**,itest/**,ashkelon/**,clover/**,hibernate/**,simian/**" >> project.properties
)
%else
(cd ../maven
echo "maven.plugins.excludes = examples/**,touchstone/**,touchstone-partner/**,plugin-parent/**,itest/**,abbot/**,ashkelon/**,aspectj/**,aspectwerkz/**,changelog/**,checkstyle/**,clover/**,hibernate/**,jalopy/**,jcoverage/**,jdeveloper/**,jdiff/**,jetty/**,latex/**,latka/**,native/**,pdf/**,pmd/**,simian/**,tjdo/**,uberjar/**,vdoclet/**" >> project.properties
)
%endif

%build
mkdir -p home/lib/endorsed
export MAVEN_HOME=$(pwd)/home
./build-maven-library

rm -rf $HOME/.maven/*
mkdir -p repository/maven/jars
mkdir -p repository/JPP
mkdir -p repository/javadoc/jars
ln -s %{_javadir} repository/JPP/jars

#Needed because in the bootstrap process the value for $JAVA_HOME is required for build to proceed.
export JAVA_HOME=%{java_home}

# jellydoc used to have a dependency on tools.jar, which has been removed since all standard 
# jdks have tools.jar available to them.

ln -s ${JAVA_HOME}/lib/tools.jar repository/javadoc/jars/tools.jar

cp %{SOURCE5} build.xml
export OPT_JAR_LIST="ant-launcher ant/ant-junit junit"
ant -Dbuild.sysclasspath=first
cp target/maven-jelly-tags-1.0.1.jar repository/maven/jars
(cd repository/maven/jars
ln -s maven-jelly-tags-1.0.1.jar maven-jelly-tags.jar
)

export MAVEN_HOME=$(pwd)/home

export MAVEN_HOME_LOCAL=$(pwd)

echo "maven.get.jars.baseUrl = file:"$(pwd)/repository >> project.properties
(
cd repository/maven/jars
cp %{SOURCE7} maven-model-3.0.0-SNAPSHOT.jar
ln -s maven-model-3.0.0-SNAPSHOT.jar maven-model.jar
ln -s ../../../home/plugins/maven-j2ee-plugin-1.5.2-SNAPSHOT.jar maven-j2ee-plugin.jar
)

# Put the wagon jars in the appropriate place
(
cd repository/maven/jars
gzip -dc %{SOURCE8} | tar -xf -
)

ant -Dorg.xml.sax.driver=org.apache.xerces.parsers.SAXParser -f build-bootstrap.xml

export MAVEN_HOME=$(pwd)/home
$MAVEN_HOME/bin/maven -o javadoc:generate
$MAVEN_HOME/bin/maven -o xdoc:transform

# Maven build is done. Remove that J2EE plugin that we put in there for the struts plugin to build.
(
cd repository/maven/jars
rm -f maven-j2ee-plugin.jar
)

%pre -n maven
# Sometimes, the old maven directory is left behind by maven-1.0. Force removal.
rm -rf %{_datadir}/%{name}-1.0

%install
rm -rf $RPM_BUILD_ROOT

# /usr/bin/maven
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -pm 755 %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/maven

# maven.jar to _javadir
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 home/lib/maven.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 repository/maven/jars/maven-jelly-tags-1.0.1.jar \
        $RPM_BUILD_ROOT%{_javadir}/maven-jelly-tags-1.0.1.jar
ln -s maven-jelly-tags-1.0.1.jar $RPM_BUILD_ROOT%{_javadir}/maven-jelly-tags.jar

# maven.home
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -p home/bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}/bin
cp -p build-maven-library $RPM_BUILD_ROOT%{_datadir}/%{name}/bin

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
cp -p home/plugins/*.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository

# Main JPP repo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP
ln -s %{_javadir} $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP/jars

# JVMJAR repo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP-jvmjar
ln -s %{_jvmjardir} $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP-jvmjar/jars

# JNIJAR repo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP-jnijar
ln -s %{_jnidir} $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/JPP-jnijar/jars

cp -pr repository/maven $RPM_BUILD_ROOT%{_datadir}/%{name}/repository
cp -pr repository/javadoc $RPM_BUILD_ROOT%{_datadir}/%{name}/repository

# For backward compatibility, create a maven-1.0 symlink
ln -s %{_datadir}/%{name} $RPM_BUILD_ROOT%{_datadir}/%{name}-1.0

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/docs/apidocs

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# clean up saved files
find $RPM_BUILD_ROOT -name "*.sav" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -n maven
export MAVEN_HOME=%{_datadir}/%{name}
$MAVEN_HOME/bin/build-maven-library

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

# Add the j2ee plugin to the repository (j2ee plugin is requires by the struts plugin)
%post plugin-j2ee
ln -s ../../../plugins/maven-j2ee-plugin-1.5.2-SNAPSHOT.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/repository/maven/jars/maven-j2ee-plugin.jar

%preun plugin-j2ee
rm -f %{_datadir}/%{name}/repository/maven/jars/maven-j2ee-plugin.jar

%preun -n maven
[ $1 = 0 ] || exit 0
rm -rf %{_datadir}/%{name}/lib/*
rm -rf %{_datadir}/%{name}/repository/*

%postun
if [ -d %{_datadir}/%{name}/plugins ] ; then rmdir --ignore-fail-on-non-empty %{_datadir}/%{name}/plugins >& /dev/null; fi
if [ -d %{_datadir}/%{name} ] ; then rmdir --ignore-fail-on-non-empty %{_datadir}/%{name} >& /dev/null; fi

%files -n maven
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_bindir}/maven
%{_javadir}/*.jar
%{_datadir}/%{name}/bin
%{_datadir}/%{name}/lib
%{_datadir}/%{name}/repository
%{_datadir}/%{name}-1.0

%files plugins-base
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-ant-*.jar
%{_datadir}/%{name}/plugins/maven-artifact-*.jar
%{_datadir}/%{name}/plugins/maven-clean-*.jar
%{_datadir}/%{name}/plugins/maven-console-*.jar
%{_datadir}/%{name}/plugins/maven-jar-*.jar
%{_datadir}/%{name}/plugins/maven-java-*.jar
%{_datadir}/%{name}/plugins/maven-javacc-*.jar
%{_datadir}/%{name}/plugins/maven-javadoc-*.jar
%{_datadir}/%{name}/plugins/maven-junit-report-*.jar
%{_datadir}/%{name}/plugins/maven-plugin-*.jar
%{_datadir}/%{name}/plugins/maven-pom-*.jar
%{_datadir}/%{name}/plugins/maven-release-*.jar

%if %{RHEL4}==0
%files plugin-abbot
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-abbot-*.jar
%endif

%files plugin-announcement
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-announcement-*.jar

%files plugin-antlr
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-antlr-*.jar

%files plugin-appserver
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-appserver-*.jar

%if %{RHEL4}==0
%files plugin-aspectj
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-aspectj-*.jar
%endif

%if %{RHEL4}==0
%files plugin-aspectwerkz
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-aspectwerkz-*.jar
%endif

%files plugin-caller
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-caller-*.jar

%files plugin-castor
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-castor-*.jar

%if %{RHEL4}==0
%files plugin-changelog
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-changelog-*.jar
%endif

%files plugin-changes
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-changes-*.jar

%if %{RHEL4}==0
%files plugin-checkstyle
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-checkstyle-*.jar
%endif

%files plugin-cruisecontrol
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-cruisecontrol-*.jar

%files plugin-developer-activity
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-developer-activity-*.jar

%files plugin-dashboard
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-dashboard-*.jar

%files plugin-dist
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-dist-*.jar

%files plugin-docbook
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-docbook-*.jar

%files plugin-ear
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-ear-*.jar

%files plugin-eclipse
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-eclipse-*.jar

%files plugin-ejb
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-ejb-*.jar

%files plugin-faq
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-faq-*.jar

%files plugin-file-activity
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-file-activity-*.jar

%files plugin-genapp
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-genapp-*.jar

%files plugin-gump
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-gump-*.jar

%files plugin-html2xdoc
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-html2xdoc-*.jar

%files plugin-idea
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-idea-*.jar

%files plugin-j2ee
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-j2ee-*.jar

%if %{RHEL4}==0
%files plugin-jalopy
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jalopy-*.jar
%endif

%files plugin-jboss
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jboss-*.jar

%files plugin-jbuilder
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jbuilder-*.jar

%if %{RHEL4}==0
%files plugin-jcoverage
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jcoverage-*.jar
%endif

%files plugin-jdee
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jdee-*.jar

%files plugin-jdepend
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jdepend-*.jar

%if %{RHEL4}==0
%files plugin-jdeveloper
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jdeveloper-*.jar
%endif

%if %{RHEL4}==0
%files plugin-jdiff
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jdiff-*.jar
%endif

%files plugin-jellydoc
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jellydoc-*.jar

%if %{RHEL4}==0
%files plugin-jetty
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jetty-*.jar
%endif

%files plugin-jira
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jira-*.jar

%files plugin-jnlp
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jnlp-*.jar

%files plugin-junitdoclet
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-junit-doclet-*.jar

%files plugin-jxr
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-jxr-*.jar

%if %{RHEL4}==0
%files plugin-latex
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-latex-*.jar
%endif

%if %{RHEL4}==0
%files plugin-latka
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-latka-*.jar
%endif

%files plugin-license
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-license-*.jar

%files plugin-linkcheck
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-linkcheck-*.jar

%files plugin-multichanges
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-multichanges-*.jar

%files plugin-multiproject
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-multiproject-*.jar

%if %{RHEL4}==0
%files plugin-native
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-native-*.jar
%endif

%files plugin-nsis
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-nsis-*.jar

%if %{RHEL4}==0
%files plugin-pdf
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-pdf-*.jar
%endif

%if %{RHEL4}==0
%files plugin-pmd
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-pmd-*.jar
%endif

%files plugin-rar
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-rar-*.jar

%files plugin-repository
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-repository-*.jar

%files plugin-scm
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-scm-*.jar

%files plugin-shell
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-shell-*.jar

%files plugin-site
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-site-*.jar

%files plugin-struts
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-struts-*.jar

%files plugin-tasklist
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-tasklist-*.jar

%files plugin-test
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-test-*.jar

%if %{RHEL4}==0
%files plugin-tjdo
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-tjdo-*.jar
%endif

%if %{RHEL4}==0
%files plugin-uberjar
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-uberjar-*.jar
%endif

%if %{RHEL4}==0
%files plugin-vdoclet
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-vdoclet-*.jar
%endif

%files plugin-war
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-war-*.jar

%files plugin-webserver
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-webserver-*.jar

%files plugin-wizard
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-wizard-*.jar

%files plugin-xdoc
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/plugins
%{_datadir}/%{name}/plugins/maven-xdoc-*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Tue Jun 12 2005 Deepak Bhole <dbhole@redhat.com> - 0:1.0.2-1jpp_5rh
- Updated dependencies.
- Updated rpm to remove %{datadir}/maven-1.0 before installing.
- Fixed the xdoc locale test problems.

* Tue Jun 07 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-1jpp_4rh
- Pass on JAVA_HOME to maven on wrapper script

* Tue Jun 07 2005 Deepak Bhole <dbhole@redhat.com> - 0:1.0.2-1jpp_3rh
- Updated some missing dependencies
- Removed dependence on beanutils-1.7
- Disabled a test case for xdoc that was failing on IBM and SUN JVM's

* Tue Jun 07 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0.2-1jpp_2rh
- Remove bogus version from maven wrapper script

* Mon Jun 06 2005 Deepak Bhole <dbhole@redhat.com> - 0:1.0.2-1jpp_1rh
- Upgraded to version 1.0.2
- Rewrote all dependencies
- Removed usage of build-maven-repository
- Other minor spec file cleanup

* Fri Apr 29 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0-8jpp_4rh
- Remove patches to build library and repository commands

* Wed Apr 13 2005 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.0-8jpp_2rh
- Remove extraneous dependencies from spec file
- Remove reference to extra plugins or dependencies (Patches: #7, #8, #9, #10, #11, #12)
- Add an export for JAVA_HOME since the bootstrap process fails without it

* Fri Feb 25 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.0-8jpp_1rh
- First Red Hat build
- Remove packages that we do not ship from dependencies
- Add missing hsqldb dependency

* Wed Feb 02 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-8jpp
- Fix beanutils16 in build-maven-library and  build-maven-repository

* Mon Jan 31 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-7jpp
- Require jakarta-commons-beanutils16
- Rebuild with jakarta-commons-jelly-1.0-RC1

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-6jpp
- Relax commons-jelly requirements to >=

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-5jpp
- Removed more saxpath dependency declarations

* Fri Oct 01 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-4jpp
- Fix getDependencyPath in several plugin.jelly

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-3jpp
- Drop saxpath requirements
- Require jaxen >= 0:1.1
- Use released commons-jelly-1.0-beta-4
- Require jakarta-commons-jelly = 0:1.0-0.b4.6jpp and assoc. taglibs
- Use newer maven-plugins (cvs040913)

* Mon Sep 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-2jpp
- Add missing BuildReq and Req for jing and vdoclet
- Save originals of patched files with %patch# -b .sav
- Require ant >= 0:1.6.2 because of optional jar locations and names
- Require all ant subpackages >= 0:1.6.2
- Fix build-maven-library and build-maven-repository to link all ant-*-1.6.2 jars

* Wed Sep 01 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- Final 1.0-1jpp with plugins from HEAD on 040715 and maven-jelly-tags-1.0
- Build with ant-1.6.2

* Mon Jul 26 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc4.1jpp
- 1.0-0.rc4.1jpp with plugins from HEAD on 040715 and maven-jelly-tags-1.0

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.2jpp
- Replace nonfree msv with free isorelax 
- Relax some versioned dependencies

* Fri Jun 25 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.rc1.1jpp
- First JPackage release
